%define upstream_version 2.33

Summary:	Term::ReadKey Perl module

Name:		perl-Term-ReadKey
Version:	%perl_convert_version %{upstream_version}
Release:	1
License:	GPL
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/J/JS/JSTOWE/TermReadKey-%{upstream_version}.tar.gz
Url:		http://search.cpan.org/dist/TermReadKey/
BuildRequires:	perl-devel
BuildRequires:	perl-List-MoreUtils >= 0.320.0-3

%description
This module, ReadKey, provides ioctl control for terminals so the
input modes can be changed (thus allowing reads of a single character
at a time), and also provides non-blocking reads of stdin, as well as
several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%prep
%setup -qn TermReadKey-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
# Parallel build is broken - https://rt.cpan.org/Public/Bug/Display.html?id=100932
make

%install
%makeinstall_std

%clean

%files
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*




%changelog

* Tue Oct 20 2015 Denis Silakov <dsilakov@gmail.com> 2.330.0-1
- (b28778d) Updated to 2.33


